- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XmplParser Class Reference

`#include <XmplParser.h>`

List of all members.

## Public Member Functions
| XmplParser ()
virtual | ~XmplParser ()
VariableInfoMap | generateTitanModel (Mers::Models::CCA::CCAModel &titanModel, const string &xmplFile, const string &hrnFile, const string &iniFile) throw (ParsingException)
## Friends
class | XmplParser::MyErrorHandler
## Classes
class | AncestorList
class | MyErrorHandler
class | ParsedLiteral

## Detailed Description

This class uses the Apache XML parser called "Xerces" to traverse an XMPL model tree and create the corresponding Titan data structure.

Author:
  S. Marshall

  M. Pekala

Definition at line 52 of file XmplParser.h.

## Constructor & Destructor Documentation

XmplParser::XmplParser | ( |  | ) |

constructor

Definition at line 50 of file XmplParser.cpp.

XmplParser::~XmplParser | ( |  | ) | `[virtual]`

destructor

Definition at line 70 of file XmplParser.cpp.

## Member Function Documentation

VariableInfoMap XmplParser::generateTitanModel | ( | Mers::Models::CCA::CCAModel & | titanModel,
|  | const string & | xmplFile,
|  | const string & | hrnFile,
|  | const string & | iniFile |
| ) |  |  | throw (ParsingException)

Creates a CCAModel object from the specified input files

Parameters:

  | _xmplFile | The XML model definition filename
  | _harnessFile | The harness filename
  | _initFile | The initialization filename

Returns:
  a VariableInfoMap of the initial mode variable assignments from the initialization file.

Definition at line 81 of file XmplParser.cpp.

## Friends And Related Function Documentation

friend class XmplParser::MyErrorHandler`[friend]`

so that MyErrorHandler can call getString

Definition at line 70 of file XmplParser.h.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Models/CCA/Io/Xmpl/XmplParser.h
- /Users/fpy/titan-1-5-MBARI/Mers/Models/CCA/Io/Xmpl/XmplParser.cpp